
#pragma once
#pragma comment (lib, "d3d9.lib")

#include "stdafx.h"

#include <list>
using namespace std;

extern int ScreenSetting;
extern int Adapter;
extern int ScreenWidth,ScreenHeight;
extern int RefreshRate;
extern int AdapterCount;
extern int SleepWait;


struct BreakPoint {
	LONG_PTR addr;
	DWORD protect;
	BYTE code;
};

#include "hookcls.h"


//bp.cpp

void DeleteBreakPoint(HANDLE hDP,DEBUG_EVENT* pde,BreakPoint *bp);
void MakeBreakPoint(HANDLE hDP,DEBUG_EVENT* pde,BreakPoint *bp,LONG_PTR addr);

//misc.cpp

char* u2a(LPCWSTR str);
WCHAR* a2u(LPCSTR str);
WCHAR* ErrorMessage(DWORD err);
WCHAR* GetEXEFilename();
void GetIniSettings(WCHAR* targetexename,WCHAR* appname);
bool GetAdapterCount();
